<%@page language="java" import="java.sql.*, DbBean" errorPage="ErrorPage.jsp"%>
<jsp:useBean id="db" scope="session" class="DbBean" />

<%-- page variable declaration --%>

<%!
	String sql;
	ResultSet rs;
	ResultSet rsTables;
	DatabaseMetaData dbmd;
	ResultSetMetaData rsmd = null;
	String database = "DBSAMPLE4";
	String user = "SYSADM";
	String pattern = "%";
	String[] type = {"TABLE"};
	Vector v = new Vector();
%>

<%
	//disable jsp page cache - to really refresh
	//when this page is reloaded
    if(request.getProtocol().compareTo ("HTTP/1.0") == 0) 
    {
        response.setHeader ("Pragma", "no-cache");
    } 
    else if (request.getProtocol().compareTo ("HTTP/1.1") == 0) 
    {
        response.setHeader ("Cache-Control", "no-cache");
        response.setHeader ("Pragma", "no-cache");
        response.setDateHeader ("Expires", 0);    
    }

	//create necessary table if not exist
	db.setUID("SYSADM");
	db.setPWD("");
	db.setDbDriver("dbmaker.sql.JdbcOdbcDriver");
	db.setDbURL("jdbc:dbmaker:DBSAMPLE4");

	try
	{
		db.connect();
	}
	catch (ClassNotFoundException e)
	{
		throw new ServletException("StartUp: connect() ClassNotFoundException", e);
	}
	catch (SQLException e)
	{
		throw new ServletException("StartUp: connect() SQLException", e);
	}

	//see if dmjsptest table exists
	try
	{
		rsTables = db.Tables(database, user, pattern, type);
		rsmd = rsTables.getMetaData();
			
		while(rsTables.next())
		{
			v.addElement(rsTables.getString("TABLE_NAME"));
		}
	}
	catch (SQLException e)
	{
		throw new ServletException("StartUp: databasemetadata SQLException", e);
	}
		
	//if dmjsptest table exists, drop it first
	try
	{
		if (v.contains(new String("dmjsptest"))) db.execute("drop table dmjsptest");

		db.execute("create table dmjsptest (order char(20), name char(20), sciname char(30), obsvperiod int)");
	}
	catch(SQLException e)
	{
		throw new ServletException("StartUp: create tb SQLException", e);
	}

	//insert rows
	try
	{
		db.execute("insert into dmjsptest values ('Marsupial', 'Koala', 'Phascolarctos Cinereus', 30)");
		db.execute("insert into dmjsptest values ('Marsupial', 'Tasmanian Devil', 'Sarcophilus Harrisii', 60)");
		db.execute("insert into dmjsptest values ('Marsupial', 'Virginia Opossum', 'Didelphis Virginiana', 50)");
		db.execute("insert into dmjsptest values ('Monotreme', 'Duck-billed Platypus', 'Ornithorhynchus Anatinus', 120)");
	}
	catch (SQLException e)
	{
		throw new ServletException("StartUp: insert tb SQLException", e);
	}		
%>

<jsp:forward page="Welcome.html" />

